Skip to main content
`Ctrl`+`K`

# TSGetTolerances

Get tolerances for local truncation error when using adaptive controller

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetTolerances(TS ts, PetscReal *atol, Vec *vatol, PetscReal *rtol, Vec *vrtol)

Logically Collective

## Input Parameter

- ts - time integration context

## Output Parameters

- atol - scalar absolute tolerances, `NULL` to ignore

- vatol - vector of absolute tolerances, `NULL` to ignore

- rtol - scalar relative tolerances, `NULL` to ignore

- vrtol - vector of relative tolerances, `NULL` to ignore

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSAdapt`, `TSErrorWeightedNorm()`, `TSSetTolerances()`

## Level

beginner

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex30.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages